Voicemail
All operations require authentication.
List voicemailsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a voicemailProduction
Path parameters
The name of your billingAccount
Response
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "offers": [ "string" ], "serviceName": "string", "serviceType": "alias"}
Update a voicemailProduction
Path parameters
The name of your billingAccount
Request body (required)
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List voicemail messagesProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of dir property (=)
familyfriendsinboxoldurgentworkResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ directories \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a voicemail messageProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Callee number in international format
Caller number in international format
Message datetime creation
Voicemessage directory
familyfriendsinboxoldurgentworkMessage duration (in seconds)
Uniq voicemail message identifier
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ directories/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "callee": "string", "caller": "string", "creationDatetime": "2024-01-01T12:00:00Z", "dir": "family", "duration": 0, "id": 0}
Delete a voicemail messageProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ directories/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Download a voicemail messageProduction
Path parameters
The name of your billingAccount
Id of the object
Query parameters
File format wanted
aiffauflacmp3oggwavResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ directories/ {id}/ download \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Move a voicemail messageProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Greeting voicemail directory
familyfriendsinboxoldurgentworkResponse
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ directories/ {id}/ move \
-H "authorization: Bearer $OVH_TOKEN"Download the message transcriptBeta
Path parameters
The name of your billingAccount
Id of the object
Query parameters
format of the file to retrieve
jsontextResponse
The transcript filename
The status of the request
doingdoneerrorThe download URL for the transcript file
The expiration date for the download URL
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ directories/ {id}/ transcript \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List greetingsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of dir property (=)
busygreettempunavailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ greetings \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a greetingProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Callee number in international format
Customized greeting voicemail directory
busygreettempunavailUniq customized greeting identifier
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ greetings/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "callee": "string", "dir": "busy", "id": 0}
Upload a greetingProduction
Path parameters
The name of your billingAccount
Request body (required)
Greeting voicemail directory
busygreettempunavailGet the /me/document uuid generated
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ greetings \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a greetingProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ greetings/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Download a greetingProduction
Path parameters
The name of your billingAccount
Id of the object
Query parameters
File format wanted
aiffauflacmp3oggwavResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ greetings/ {id}/ download \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Move a greetingProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Greeting voicemail directory
busygreettempunavailResponse
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ greetings/ {id}/ move \
-H "authorization: Bearer $OVH_TOKEN"Migrate the voicemail to the new versionProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ migrateOnNewVersion \
-H "authorization: Bearer $OVH_TOKEN"Get the voicemail settingsProduction
Path parameters
The name of your billingAccount
Response
Name of the voicemail panel announce file
Format of the voicemail audio file attached to emails
aiffauflacmp3oggwavDon't allow callers to leave voicemails
Force password request to access the voicemail panel
Email address from which emails will be sent
Name from which emails will be sent
Sound ID of the long greeeting
Type of the greeting to play
defaultfullshortCurrent voicemail version
Don't delete voicemails after they've been sent by email
Email addresses to notify when a new voicemail is left
Sound ID of the short greeting played before an automated message
Play the temporary greeting instead of the regular one
Sound ID of the temporary greeeting
Quantity of unread voicemails
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"{ "annouceMessage": "string", "audioFormat": "aiff", "doNotRecord": true, "forcePassword": true, "fromEmail": "string", "fromName": "string", "fullGreetingSoundId": 0, "greetingType": "default", "isNewVersion": true, "keepMessage": true, "redirectionEmails": [ { "email": "string", "type": "attachment" } ], "shortGreetingSoundId": 0, "temporaryGreetingActivated": true, "temporaryGreetingSoundId": 0, "unreadMessages": 0}
Update the voicemail settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
Name of the voicemail panel announce file
Format of the voicemail audio file attached to emails
aiffauflacmp3oggwavDon't allow callers to leave voicemails
Force password request to access the voicemail panel
Email address from which emails will be sent
Name from which emails will be sent
Sound ID of the long greeeting
Type of the greeting to play
defaultfullshortCurrent voicemail version
Don't delete voicemails after they've been sent by email
Email addresses to notify when a new voicemail is left
Sound ID of the short greeting played before an automated message
Play the temporary greeting instead of the regular one
Sound ID of the temporary greeeting
Quantity of unread voicemails
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"Change the voicemail passwordProduction
Path parameters
The name of your billingAccount
Request body (required)
The password
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ settings/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"Enable or disable the voicemailProduction
Path parameters
The name of your billingAccount
Request body (required)
Activate or Desactivate voicemail on the line
faxvoicemailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ settings/ changeRouting \
-H "authorization: Bearer $OVH_TOKEN"Get the voicemail statusProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ settings/ routing \
-H "authorization: Bearer $OVH_TOKEN""fax"
Get the voicemail numbersProduction
Path parameters
The name of your billingAccount
Response
The external voicemail number
The internal voicemail number
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ voicemail/ {serviceName}/ settings/ voicemailNumbers \
-H "authorization: Bearer $OVH_TOKEN"{ "external": "string", "internal": "string"}